Skip to main content
GET
/
flows
/
{selector}
/
export
Export flow (flat interface)
curl --request GET \
  --url https://api.getmembrane.com/flows/{selector}/export \
  --header 'Authorization: Bearer <token>'
{
  "uuid": "<string>",
  "key": "<string>",
  "name": "<string>",
  "description": "<string>",
  "meta": {},
  "integrationUuid": "<string>",
  "parentUuid": "<string>",
  "externalAppUuid": "<string>",
  "isCustomized": true,
  "isUniversal": true,
  "instanceKey": "<string>",
  "parametersSchema": {
    "type": "<string>",
    "title": "<string>",
    "description": "<string>",
    "format": "<string>",
    "properties": {},
    "items": "<unknown>",
    "additionalProperties": true,
    "enum": [
      "<string>"
    ],
    "referenceRecords": [
      {}
    ],
    "referenceCollection": {
      "key": {},
      "parameters": {}
    },
    "referenceUdm": "<string>",
    "default": {},
    "allowCustom": true,
    "required": [
      "<string>"
    ],
    "minLength": 123,
    "maxLength": 123,
    "minimum": 123,
    "maximum": 123,
    "maxItems": 123,
    "readOnly": true,
    "writeOnly": true,
    "examples": [
      {}
    ],
    "anyOf": "<array>",
    "isImplied": true,
    "isSensitive": true,
    "referenceCollectionPath": "<string>",
    "referenceCollectionUri": "<string>"
  },
  "parameters": {},
  "enabled": true,
  "nodes": {},
  "autoCreateInstances": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

selector
string
required

Query Parameters

layer
enum<string>
Available options:
universal,
integration,
connection
integrationKey
string
integrationId
string
connectionId
string
connectionKey
string
instanceKey
string

Response

200 - application/json
uuid
string

Stable unique identifier (UUID). Can be provided on create; otherwise generated. Must be unique across elements of this type.

key
string

Stable key for referencing the element (e.g. in selectors). Unique per (parent, integration) scope. Generated from name if not provided on create.

name
string

Display name. Optional on create; used to generate key when key is omitted.

description
string

Optional human-readable description.

meta
object

Optional key-value metadata.

integrationUuid
string
parentUuid
string
externalAppUuid
string
isCustomized
boolean
isUniversal
boolean
instanceKey
string
parametersSchema
object
parameters
object
enabled
boolean
nodes
object
autoCreateInstances
boolean